Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wms
Class Constants

    java.lang.Object
      org.deegree.portal.standard.wms.Constants

    public final class Constants

extends Object

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Field Summary
`static String` | `DEFAULTMAPCONTEXT` Comment for `DEFAULTMAPCONTEXT`
`static String` | `LAYERLIST` Comment for `LAYERLIST`
`static String` | `LOCATION` Comment for `LOCATION`
`static String` | `MESSAGE` Comment for `MESSAGE`
`static String` | `PAN_EAST` Comment for `PAN_EAST`
`static String` | `PAN_NORTH` Comment for `PAN_NORTH`
`static String` | `PAN_NORTHEAST` Comment for `PAN_NORTHEAST`
`static String` | `PAN_NORTHWEST` Comment for `PAN_NORTHWEST`
`static String` | `PAN_SOUTH` Comment for `PAN_SOUTH`
`static String` | `PAN_SOUTHEAST` Comment for `PAN_SOUTHEAST`
`static String` | `PAN_SOUTHWEST` Comment for `PAN_SOUTHWEST`
`static String` | `PAN_WEST` Comment for `PAN_WEST`
`static String` | `WMS_MAXX` Comment for `WMS_MAXX`
`static String` | `WMS_MAXY` Comment for `WMS_MAXY`
`static String` | `WMS_MINX` Comment for `WMS_MINX`
`static String` | `WMS_MINY` Comment for `WMS_MINY`
`static String` | `WMS_OPERATION` Comment for `WMS_OPERATION`
`static String` | `WMS_OPERATION_CONFIGURATION` Comment for `WMS_OPERATION_CONFIGURATION`
`static String` | `WMS_OPERATION_IDENTIFY` Comment for `WMS_OPERATION_IDENTIFY`
`static String` | `WMS_OPERATION_PAN` Comment for `WMS_OPERATION_PAN`
`static String` | `WMS_OPERATION_RECENTER` Comment for `WMS_OPERATION_RECENTER`
`static String` | `WMS_OPERATION_REFRESH` Comment for `WMS_OPERATION_REFRESH`
`static String` | `WMS_OPERATION_RESET` Comment for `WMS_OPERATION_RESET`
`static String` | `WMS_OPERATION_USERDEFINED` Comment for `WMS_OPERATION_USERDEFINED`
`static String` | `WMS_OPERATION_ZOOMIN` Comment for `WMS_OPERATION_ZOOMIN`
`static String` | `WMS_OPERATION_ZOOMINBYRECT` Comment for `WMS_OPERATION_ZOOMINBYRECT`
`static String` | `WMS_OPERATION_ZOOMOUT` Comment for `WMS_OPERATION_ZOOMOUT`
`static String` | `WMS_X` Comment for `WMS_X`
`static String` | `WMS_Y` Comment for `WMS_Y`
`static String` | `WMSCLIENTCONFIGURATION` Comment for `WMSCLIENTCONFIGURATION`
`static String` | `WMSGETFEATUREINFOREQUEST` Comment for `WMSGETFEATUREINFOREQUEST`
`static String` | `WMSGETMAPREQUEST` Comment for `WMSGETMAPREQUEST`
`static String` | `WMSURLS` Comment for `WMSURLS`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WMS_X

    public static final String WMS_X

  Comment for `WMS_X`

  See Also:
    Constant Field Values

### WMS_Y

    public static final String WMS_Y

  Comment for `WMS_Y`

  See Also:
    Constant Field Values

### WMS_OPERATION_CONFIGURATION

    public static final String WMS_OPERATION_CONFIGURATION

  Comment for `WMS_OPERATION_CONFIGURATION`

  See Also:
    Constant Field Values

### WMS_OPERATION_ZOOMIN

    public static final String WMS_OPERATION_ZOOMIN

  Comment for `WMS_OPERATION_ZOOMIN`

  See Also:
    Constant Field Values

### WMS_OPERATION_ZOOMOUT

    public static final String WMS_OPERATION_ZOOMOUT

  Comment for `WMS_OPERATION_ZOOMOUT`

  See Also:
    Constant Field Values

### WMS_OPERATION_PAN

    public static final String WMS_OPERATION_PAN

  Comment for `WMS_OPERATION_PAN`

  See Also:
    Constant Field Values

### WMS_OPERATION_RECENTER

    public static final String WMS_OPERATION_RECENTER

  Comment for `WMS_OPERATION_RECENTER`

  See Also:
    Constant Field Values

### WMS_OPERATION_REFRESH

    public static final String WMS_OPERATION_REFRESH

  Comment for `WMS_OPERATION_REFRESH`

  See Also:
    Constant Field Values

### WMS_OPERATION_RESET

    public static final String WMS_OPERATION_RESET

  Comment for `WMS_OPERATION_RESET`

  See Also:
    Constant Field Values

### WMS_OPERATION_IDENTIFY

    public static final String WMS_OPERATION_IDENTIFY

  Comment for `WMS_OPERATION_IDENTIFY`

  See Also:
    Constant Field Values

### WMS_OPERATION_USERDEFINED

    public static final String WMS_OPERATION_USERDEFINED

  Comment for `WMS_OPERATION_USERDEFINED`

  See Also:
    Constant Field Values

### WMS_OPERATION_ZOOMINBYRECT

    public static final String WMS_OPERATION_ZOOMINBYRECT

  Comment for `WMS_OPERATION_ZOOMINBYRECT`

  See Also:
    Constant Field Values

### WMS_OPERATION

    public static final String WMS_OPERATION

  Comment for `WMS_OPERATION`

  See Also:
    Constant Field Values

### WMS_MINX

    public static final String WMS_MINX

  Comment for `WMS_MINX`

  See Also:
    Constant Field Values

### WMS_MINY

    public static final String WMS_MINY

  Comment for `WMS_MINY`

  See Also:
    Constant Field Values

### WMS_MAXX

    public static final String WMS_MAXX

  Comment for `WMS_MAXX`

  See Also:
    Constant Field Values

### WMS_MAXY

    public static final String WMS_MAXY

  Comment for `WMS_MAXY`

  See Also:
    Constant Field Values

### LOCATION

    public static final String LOCATION

  Comment for `LOCATION`

  See Also:
    Constant Field Values

### MESSAGE

    public static final String MESSAGE

  Comment for `MESSAGE`

  See Also:
    Constant Field Values

### PAN_NORTH

    public static final String PAN_NORTH

  Comment for `PAN_NORTH`

  See Also:
    Constant Field Values

### PAN_NORTHEAST

    public static final String PAN_NORTHEAST

  Comment for `PAN_NORTHEAST`

  See Also:
    Constant Field Values

### PAN_EAST

    public static final String PAN_EAST

  Comment for `PAN_EAST`

  See Also:
    Constant Field Values

### PAN_SOUTHEAST

    public static final String PAN_SOUTHEAST

  Comment for `PAN_SOUTHEAST`

  See Also:
    Constant Field Values

### PAN_SOUTH

    public static final String PAN_SOUTH

  Comment for `PAN_SOUTH`

  See Also:
    Constant Field Values

### PAN_SOUTHWEST

    public static final String PAN_SOUTHWEST

  Comment for `PAN_SOUTHWEST`

  See Also:
    Constant Field Values

### PAN_WEST

    public static final String PAN_WEST

  Comment for `PAN_WEST`

  See Also:
    Constant Field Values

### PAN_NORTHWEST

    public static final String PAN_NORTHWEST

  Comment for `PAN_NORTHWEST`

  See Also:
    Constant Field Values

### WMSCLIENTCONFIGURATION

    public static final String WMSCLIENTCONFIGURATION

  Comment for `WMSCLIENTCONFIGURATION`

  See Also:
    Constant Field Values

### WMSGETMAPREQUEST

    public static final String WMSGETMAPREQUEST

  Comment for `WMSGETMAPREQUEST`

  See Also:
    Constant Field Values

### WMSGETFEATUREINFOREQUEST

    public static final String WMSGETFEATUREINFOREQUEST

  Comment for `WMSGETFEATUREINFOREQUEST`

  See Also:
    Constant Field Values

### WMSURLS

    public static final String WMSURLS

  Comment for `WMSURLS`

  See Also:
    Constant Field Values

### LAYERLIST

    public static final String LAYERLIST

  Comment for `LAYERLIST`

  See Also:
    Constant Field Values

### DEFAULTMAPCONTEXT

    public static final String DEFAULTMAPCONTEXT

  Comment for `DEFAULTMAPCONTEXT`

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org